Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface GeometryValuePair

All Known Subinterfaces:
  CurveValuePair, GridPointValuePair, PointValuePair, SolidValuePair, SurfaceValuePair

    @UML(identifier="CV_GeometryValuePair",
         specification=ISO_19123)
    public interface GeometryValuePair

Describes an element of a set that defines the relationships of a discrete coverage. Each member of this class consists of two parts: a domain object from the domain of the coverage to which it belongs and a record of feature attribute values from the range of the coverage to which it belongs. geometry-value pairs may be generated in the execution of an `evaluate` operation, and need not be persistent. `GeometryValuePair` is subclassed to restrict the pairing of a feature attribute value record to a specific subtype of domain object.

See Also:
  `Coverage#evaluate(DirectPosition,Collection)`, `Coverage.select(org.opengis.geometry.Geometry, org.opengis.temporal.Period)`, `Coverage.find(DirectPosition,int)`, `Coverage.list()`
TODO:
  Consider replacing `Set<GeometryValuePair>` by `Map<DomainObject,Object>`. Wim: remember the derived interfaces like `GridPointValuePair` etc. Martin: At least some of them are just overriding methods with covariant return type, which can be handled with generic types as well.

Method Summary
`DomainObject` | `getGeometry()` The domain object that is a member of this geometry-value pair.
`Record` | `getValue()` Holds the record of feature attribute values associated with the domain object.

Method Detail

### getGeometry

    @UML(identifier="geometry",
         obligation=MANDATORY,
         specification=ISO_19123)
    DomainObject getGeometry()

  The domain object that is a member of this geometry-value pair.

### getValue

    @UML(identifier="value",
         obligation=MANDATORY,
         specification=ISO_19123)
    Record getValue()

  Holds the record of feature attribute values associated with the domain object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.